[Project] fixing release.sh script

This commit is contained in:
Robert von Burg 2014-09-22 21:04:18 +02:00
parent 7b84ab18f9
commit 512e9b0ca1
2 changed files with 11 additions and 1 deletions

View File

@ -1,5 +1,10 @@
#!/bin/bash
if [ ! $(which xmlstarlet) ] ; then
echo "ERROR: xmlstarlet is missing!"s
exit 1
fi
function usage() {
echo "Usage: $0 [-c] [-p] [-r <release_branch>] [-b <branch>] [-o <old_version>] [-n <new_version>]" 1>&2;
exit 1;

View File

@ -5,6 +5,11 @@ if [ "$#" != "2" ] ; then
exit 1
fi
if [ ! $(which xmlstarlet) ] ; then
echo "ERROR: xmlstarlet is missing!"s
exit 1
fi
#if ! mvn -f pom.xml versions:set -DnewVersion="${1}" -DallowSnapshots=true -DgenerateBackupPoms=false ; then
# echo "ERROR: Failed to change version in root!"
# exit 1
@ -19,7 +24,7 @@ new_version="$2"
declare SCRIPT_NAME="${0##*/}"
declare SCRIPT_DIR="$(cd ${0%/*} ; pwd)"
root="${SCRIPT_DIR}"
root="$(cd ${SCRIPT_DIR}/.. ; pwd)"
function fail() {
echo -e "\nERROR: Failed to set version of $1"